# Class: YARD::Server::Commands::LibraryIndexOptions

Inherits:
  CLI::YardocOptions
  - Object
  - Options
  - Templates::TemplateOptions
  - CLI::YardocOptions
  - YARD::Server::Commands::LibraryIndexOptions
  show all

Defined in:
  lib/yard/server/commands/library_index_command.rb

## Overview

Since:

- 0.6.0

## Instance Attribute Summary collapse

- #adapter ⇒ Object
- #libraries ⇒ Object
- #serialize ⇒ Object
- #template ⇒ Object
- #type ⇒ Object

## Dynamic Method Handling

This class handles dynamic methods through the `method_missing` method in the class YARD::Options

## Instance Attribute Details

### #adapter ⇒ `Object`

Since:

- 0.6.0

    6
    7
    8

    # File 'lib/yard/server/commands/library_index_command.rb', line 6

    def adapter
      @adapter
    end

### #libraries ⇒ `Object`

Since:

- 0.6.0

    6
    7
    8

    # File 'lib/yard/server/commands/library_index_command.rb', line 6

    def libraries
      @libraries
    end

### #serialize ⇒ `Object`

    9

    # File 'lib/yard/server/commands/library_index_command.rb', line 9

    default_attr :serialize, false

### #template ⇒ `Object`

    7

    # File 'lib/yard/server/commands/library_index_command.rb', line 7

    default_attr :template, :doc_server

### #type ⇒ `Object`

    8

    # File 'lib/yard/server/commands/library_index_command.rb', line 8

    default_attr :type, :library_list